%define aurox_ver 10.2
%define rel 1

%define real_name gettext

Summary: Internationalization for Perl
Name: perl-Locale-gettext
Version: 1.04
Release: %{aurox_ver}.aur.%{rel}
License: distributable
Group: Applications/CPAN
URL: http://search.cpan.org/dist/gettext/
Source: http://search.cpan.org/CPAN/authors/id/P/PV/PVANDRY/%{real_name}-%{version}.tar.gz
Patch0: gettext-%{version}-add-iconv.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root


BuildRequires: perl >= 0:5.00503
Requires: perl >= 0:5.00503

%description
The gettext module permits access from perl to the gettext() family of
functions for retrieving message strings from databases constructed to
internationalize software. 

It provides gettext(), dgettext(), dcgettext(), textdomain() and
bindtextdomain().

%prep
%setup -n %{real_name}-%{version}
%patch0 -p1

%build
CFLAGS="%{optflags}" %{__perl} Makefile.PL \
        PREFIX="%{buildroot}%{_prefix}" \
        INSTALLDIRS="vendor"
%{__make} %{?_smp_mflags} \
	OPTIMIZE="%{optflags}"
#%{__make} test

%install
%{__rm} -rf %{buildroot}
%makeinstall

### Clean up buildroot
%{__rm} -rf %{buildroot}%{_libdir}/perl5/*/*-linux-thread-multi/
%{__rm} -f %{buildroot}%{_libdir}/perl5/vendor_perl/*/*-linux-thread-multi/auto/*{,/*}/.packlist

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README
%doc %{_mandir}/man?/*
%{_libdir}/perl5/vendor_perl/*/*

%changelog
* Tue Feb 08 2005 Aurox Team <aurox@aurox.org> 0:1.04-10.2.aur.1
- Update sources and patches to 1.04.

* Thu Oct 23 2003 Dag Wieers <dag@wieers.com> - 1.01-0
- Initial package. (using DAR)
